petsc-3.4.2 2013-07-02

# PetscObjectAMSBlock

Blocks the object if PetscObjectAMSSetBlock() has been called

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectAMSBlock(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);

### See Also

PetscObjectSetName(), PetscObjectAMSViewOff(), PetscObjectAMSSetBlock()

Level:advanced
Location:src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages